Advanced roadmap - Error #406

500 Internal Server Error on setting page
2011-01-31 08:18 - Will Yin

Status: Rejected Start date: 2011-02-22
Priority: Normal Due date: 2011-02-22
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Data base Estimated time: 0.00 hour
Target version: Advanced roadmap 0.3.2

Source: Redmine version:

Detected on version:

Description

Following error came out when | was trying to install advanced roadmap plugin to redmine 1.1.0.
CentOS 5.5 + bitnami redmine 1.1.0
I'm wondering is there any help docs for installation?

Processing ProjectsController#settings (for 10.0.0.0 at 2011-01-31 13:49:47) [GET]
Parameters: {"action"=>"settings", "id"=>"fm81", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

ActionView: :TemplateError (Mysqgl::Error: Table 'bitnami_redmine.milestones' doesn't exist: SHOW FI
ELDS FROM "milestones’) on line #1 of vendor/plugins/advanced_roadmap/app/views/projects/settings/
milestones.rhtml:
<% 1if @project.milestones.any? %>
<table class="1list">

<thead>

<th><%= 1 (:label_milestone) %></th>

Sw N |

vendor/plugins/advanced_roadmap/app/views/projects/settings/_milestones.rhtml:1:in *~_run_rhtml
_vendor47plugins47advanced_roadmap47appé7viewsdTprojectsd7settings4d7_milestonesd46rhtml_locals_mile
stones_object_tab'

app/views/common/_tabs.rhtml:24:in ' _run_rhtml_appd47views47common4d7_tabsd6rhtml_locals_object_
tabs'

app/views/common/_tabs.rhtml:23:in ‘each'

app/views/common/_tabs.rhtml:23:in ' _run_rhtml_appd7views47commond7_tabsd6rhtml_locals_object_
tabs'

app/helpers/application_helper.rb:204:in "“render_tabs'
app/views/projects/settings.rhtml:3:in " _run_rhtml_appd47views4d7projectsd7settings46rhtml’

Rendering /opt/redmine-1.1.0-0/apps/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2011-02-22 08:51 - Emilio Gonzalez Montaha
- Start date deleted (2011-01-31)

#2 - 2011-02-22 09:08 - Emilio Gonzalez Montafa
- Due date set to 2011-02-22

- Category set to Data base

- Status changed from New to Rejected

- Assignee set to Emilio Gonzalez Montana

- Target version set to Advanced roadmap 0.3.2

- Start date set to 2011-02-22

- % Done changed from 0 to 100
It seems you didn't follow Redmine instructions to install plugins (not only this one), you must migrate the plugin like this:
rake db:migrate:plugins
This will create plugin tables, then restart your Redmine.

I've added information about the installation at wiki Advanced roadmap plugin for Redmine.
